## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name superqt
%global forgeurl https://github.com/pyapp-kit/superqt

%bcond tests 1

Name:           python-%{pypi_name}
Version:        0.7.4
Release:        %{autorelease}
Summary:        Missing widgets and components for PyQt/PySide
%forgemeta
# src/superqt/utils/_throttler.py is licensed MIT
License:        BSD-3-Clause AND MIT
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
This package aims to provide high-quality community-contributed Qt
widgets and components for PyQt & PySide that are not provided in the
native QtWidgets module.

Components are tested on:

- macOS, Windows, & Linux
- Python 3.8 and above
- PyQt5 (5.11 and above) & PyQt6
- PySide2 (5.11 and above) & PySide6}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%pyproject_extras_subpkg -n python3-%{pypi_name} pyqt6


%prep
%forgeautosetup -p1

# Unpin pyqt6
sed -r -i 's/(pyqt6)<.*"/\1"/' pyproject.toml


%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_buildrequires -x test,pyqt6


%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}


%check
%if %{with tests}
export PYTEST_QT_API="pyqt6"
# Fedora ships /usr/share/qt6/qtlogging.ini with debug messages disabled.
# With QT_LOGGING_RULES we can overrule those.
# https://discussion.fedoraproject.org/t/qt-logging-has-been-disabled-qtlogging-ini-needs-to-be-fixed/146868
export QT_LOGGING_RULES="default.debug=true"
# Test requires network
k="${k-}${k+ and }not test_qiconify"
# Test fails for unknown reason
k="${k-}${k+ and }not test_wrapped_eliding_label"
# Test fails on s390x since version 0.7.2
# https://github.com/pyapp-kit/superqt/issues/287
%if "%{_build_arch}" == "s390x"
k="${k-}${k+ and }not test_cmap_draw_result"
%endif
%pytest -r fEs ${k+-k "${k-}"}
%else
%pyproject_check_import
%endif


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.*


%changelog
## START: Generated by rpmautospec
* Sat Jun 28 2025 Packit <hello@packit.dev> - 0.7.4-1
- Update to 0.7.4 upstream release
- Resolves: rhbz#2371463

* Sun Jun 15 2025 Python Maint <python-maint@redhat.com> - 0.7.3-4
- Rebuilt for Python 3.14

* Mon Apr 28 2025 Sandro <devel@penguinpee.nl> - 0.7.3-3
- Backport patch for big endian

* Fri Mar 28 2025 Packit <hello@packit.dev> - 0.7.3-1
- Update to 0.7.3 upstream release
- Resolves: rhbz#2355825

* Mon Mar 17 2025 Packit <hello@packit.dev> - 0.7.2-1
- Update to 0.7.2 upstream release
- Resolves: rhbz#2352949

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jan 06 2025 Packit <hello@packit.dev> - 0.7.1-1
- Update to 0.7.1 upstream release
- Resolves: rhbz#2335716

* Sat Dec 14 2024 Packit <hello@packit.dev> - 0.7.0-1
- Update to 0.7.0 upstream release
- Resolves: rhbz#2332411

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 24 2024 Packit <hello@packit.dev> - 0.6.7-1
- Update to 0.6.7 upstream release
- Resolves: rhbz#2290984

* Wed Jun 19 2024 Python Maint <python-maint@redhat.com> - 0.6.5-2
- Rebuilt for Python 3.13

* Mon May 06 2024 Packit <hello@packit.dev> - 0.6.5-1
- Update to 0.6.5 upstream release
- Resolves: rhbz#2279405

* Thu Apr 25 2024 Packit <hello@packit.dev> - 0.6.4-1
- Update to 0.6.4 upstream release
- Resolves: rhbz#2277232

* Wed Mar 27 2024 Packit <hello@packit.dev> - 0.6.3-1
- [packit] 0.6.3 upstream release
- Resolves: rhbz#2271962

* Wed Mar 20 2024 Sandro <devel@penguinpee.nl> - 0.6.2-1
- Initial release (RHBZ#2268682)
## END: Generated by rpmautospec
